using AutoMapper;
using DigitalData.UserManager.Application.DTOs.GroupOfUser;
using DigitalData.UserManager.Domain.Entities;

namespace DigitalData.UserManager.Application.MappingProfiles
{
    public class GroupOfUserMappingProfile : Profile
    {
        public GroupOfUserMappingProfile()
        {
            CreateMap<GroupOfUser, GroupOfUserCreateDto>();
            CreateMap<GroupOfUser, GroupOfUserReadDto>();
            CreateMap<GroupOfUser, GroupOfUserUpdateDto>();

            CreateMap<GroupOfUserCreateDto, GroupOfUser>();
            CreateMap<GroupOfUserReadDto, GroupOfUser>();
            CreateMap<GroupOfUserUpdateDto, GroupOfUser>();
        }
    }
}
